#!/bin/bash
#SBATCH --partition=msc
#SBATCH --mem=20G
#SBATCH --cpus-per-task=4
#SBATCH --output=/users/ms20qj/sbatch_logs/init-%A_%a.log
#SBATCH --gres=gpu:1
#SBATCH --array=0-7%4
list=(
"python data/generation/train.py --lr 0.00195 --model_depth 2 --train_dataset_size 50000 \
  --optimizer_type SGD_WEIGHT_DECAY --wd 0.0005 --batch_size 32 --epochs 500 --model_arch skiptinit_resnet \
  --transforms True --lr_scheduling False --ce_target 0.001 --project_name real_skipinit --gradient_norm_penalty 0."

"python data/generation/train.py --lr 0.00195 --model_depth 2 --train_dataset_size 50000 \
  --optimizer_type SGD_WEIGHT_DECAY --wd 0.0005 --batch_size 32 --epochs 500 --model_arch skiptinit_resnet \
  --transforms True --lr_scheduling False --ce_target 0.001 --project_name real_skipinit --gradient_norm_penalty 0.00049"

"python data/generation/train.py --lr 0.00195 --model_depth 2 --train_dataset_size 50000 \
  --optimizer_type SGD_WEIGHT_DECAY --wd 0.0005 --batch_size 32 --epochs 500 --model_arch skiptinit_resnet \
  --transforms True --lr_scheduling False --ce_target 0.001 --project_name real_skipinit --gradient_norm_penalty 0.001"

"python data/generation/train.py --lr 0.00195 --model_depth 2 --train_dataset_size 50000 \
  --optimizer_type SGD_WEIGHT_DECAY --wd 0.0005 --batch_size 32 --epochs 500 --model_arch skiptinit_resnet \
  --transforms True --lr_scheduling False --ce_target 0.001 --project_name real_skipinit --gradient_norm_penalty 0.00195"

"python data/generation/train.py --lr 0.00195 --model_depth 2 --train_dataset_size 50000 \
  --optimizer_type SGD_WEIGHT_DECAY --wd 0.0005 --batch_size 32 --epochs 500 --model_arch skiptinit_resnet \
  --transforms True --lr_scheduling False --ce_target 0.001 --project_name real_skipinit --gradient_norm_penalty 0.0039"

"python data/generation/train.py --lr 0.00195 --model_depth 2 --train_dataset_size 50000 \
  --optimizer_type SGD_WEIGHT_DECAY --wd 0.0005 --batch_size 32 --epochs 500 --model_arch skiptinit_resnet \
  --transforms True --lr_scheduling False --ce_target 0.001 --project_name real_skipinit --gradient_norm_penalty 0.0078"

"python data/generation/train.py --lr 0.00195 --model_depth 2 --train_dataset_size 50000 \
  --optimizer_type SGD_WEIGHT_DECAY --wd 0.0005 --batch_size 32 --epochs 500 --model_arch skiptinit_resnet \
  --transforms True --lr_scheduling False --ce_target 0.001 --project_name real_skipinit --gradient_norm_penalty 0.0156"

"python data/generation/train.py --lr 0.00195 --model_depth 2 --train_dataset_size 50000 \
  --optimizer_type SGD_WEIGHT_DECAY --wd 0.0005 --batch_size 32 --epochs 500 --model_arch skiptinit_resnet \
  --transforms True --lr_scheduling False --ce_target 0.001 --project_name real_skipinit --gradient_norm_penalty 0.031"
)
${list[SLURM_ARRAY_TASK_ID]}